Bug 142607 - FILESAVE\XLSX\ standard filter date value is different after export
Summary: FILESAVE\XLSX\ standard filter date value is different after export
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2021-06-01 13:29 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 11:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from excel (6.04 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-06-01 13:31 UTC, NISZ LibreOffice Team
Details
Example file saved by LO (6.03 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-06-01 13:32 UTC, NISZ LibreOffice Team
Details
Picture after export. (3.84 KB, image/png)
2021-06-01 14:15 UTC, NISZ LibreOffice Team
Details
The example file opened in Calc and its Calc-saved version in Excel (85.23 KB, image/png)
2021-06-02 06:38 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-01 13:29:21 UTC
Description:
Open attached file. Save as in XLSX. After reload the file in standard filter date value change into numbers.

Steps to Reproduce:
1.Open attached file
2.Save as XLSX
3.Reload the file

Actual Results:
In standard filter date format is changed into simple number format

Expected Results:
There should be date format


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-06-01 13:31:24 UTC
Created attachment 172554 [details]
Example file from excel
Comment 2 NISZ LibreOffice Team 2021-06-01 13:32:21 UTC
Created attachment 172556 [details]
Example file saved by LO
Comment 3 NISZ LibreOffice Team 2021-06-01 14:15:29 UTC
Created attachment 172557 [details]
Picture after export.
Comment 4 m.a.riosv 2021-06-01 16:06:44 UTC
Can't repro
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 75b6b7f66b6ff66f8d9945bccdef71952db2d966
CPU threads: 4; OS: Windows 10.0 Build 21390; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 5 NISZ LibreOffice Team 2021-06-02 06:38:14 UTC
Created attachment 172565 [details]
The example file opened in Calc and its Calc-saved version in Excel
Comment 6 Commit Notification 2021-06-21 08:47:23 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/11cc770ad2af1f31c1e5c9512e5688dff38f009b

tdf#142607 XLSX export: keep formatted dates in standard filter

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-06-21 11:11:00 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/5c76d6ec6efe94877fa1b158d9ef9262dddea463

tdf#142607 XLSX export: keep formatted dates in standard filter

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 NISZ LibreOffice Team 2021-07-05 11:10:57 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded